//
// FORMATION: WALL
//
// An offensive formation that puts all of its ships on the front
// line.  Shaped like a square, there are four rows of four ships, the
// heaviest firepower being kept in the middle.
//

//
// include common formation stuff
//
#include "formdef.h"

char formationName[16] = "Assault Wall";

// Which formation are we?
int m_formationID = 0;

// In the space of this formation
float m_shipRadius = .4;

FormationSpecElement formationSpec[MAX_FORMATION_SIZE] =
{
//--------------------------------------------------------------------

	// Back wall.  Artillery and noncombatants
32,    0.0,  0.0,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
33,    1,  0.0,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
34,   -1,  0.0,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
35,    0,  1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
36,    1,  1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
37,    -1,  1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
38,    0,  -1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
39,    1,  -1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
40,    -1,  -1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
41,    2,  0.0,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
42,    2,  1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
43,    2,  -1,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
44,    -1,  2,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
45,    0,  2,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
46,    1,  2,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',
47,    2,  2,  -4.0,  'A', 'N', 'X', '-', '-', '-', '-',

	// Mid wall.  Frigates
16,    0.0,  0.0,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
17,    1,  0.0,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
18,   -1,  0.0,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
19,    0,  1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
20,    1,  1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
21,    -1,  1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
22,    0,  -1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
23,    1,  -1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
24,    -1,  -1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
25,    2,  0.0,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
26,    2,  1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
27,    2,  -1,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
28,    -1,  2,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
29,    0,  2,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
30,    1,  2,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',
31,    2,  2,  -2.0, 'F', 'X', '-', '-', '-', '-', '-',

	// Front wall (main combat ships)
0,    0.0,  0.0,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
1,    1,  0.0,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
2,   -1,  0.0,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
3,    0,  1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
4,    1,  1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
5,    -1,  1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
6,    0,  -1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
7,    1,  -1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
8,    -1,  -1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
9,    2,  0.0,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
10,    2,  1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
11,    2,  -1,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
12,   -1,  2,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
13,    0,  2,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
14,    1,  2,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
15,    2,  2,  0.0, 'B', 'C', 'D', 'S', 'X', '?', '?',
};



